from netgen.geom2d import unit_square
from ngsolve import *

mesh = Mesh(unit_square.GenerateMesh(maxh=1))

fes = H1(mesh,order=1) * L2(mesh, order=0)
gfu = GridFunction(fes)

gfu.vec.SetRandom()

print(gfu.vec)
print (gfu.components[0].vec)
print (gfu.components[1].vec)
r0 = fes.Range(0)
r1 = fes.Range(1)
print (r0,r1)

print (gfu.vec[r0])
print (gfu.vec[r1])


# setting components
gfu.vec[r0] = 0
gfu.components[1].vec[:] = 1
print (gfu.vec)

